REM set JAVA_HOME=D:\marius\jdks\sun-jdk1.5.0_06

REM ---------------------
REM Setup and start Derby
REM ---------------------
set DERBY_INSTALL=\COSMOS-Demo-EclipseCon2007\derby\db-derby-10.2.2.0-bin
set DERBY_HOME=%DERBY_INSTALL%
cd %DERBY_INSTALL%\frameworks\NetworkServer\bin
set derbyHost=127.0.0.1
set derbyPort=1527
start java -cp "%DERBY_HOME%\lib\derby.jar;%DERBY_HOME%\lib\derbytools.jar;%DERBY_HOME%\lib\derbynet.jar;%CLASSPATH%" org.apache.derby.drda.NetworkServerControl start -h %derbyHost% -p %derbyPort%


REM ---------------------
REM Setup and start Eclipse
REM ---------------------
cd \COSMOS-Demo-EclipseCon2007
REM copy the eclipse.ini that will enable TPTP raw events capturing, useful to get real sample data (for Statistical domain, for Log domain we can use import the sample log directly into the sample database using TPTP Large Resource Support).
copy sample-eclipse.ini eclipse\eclipse.ini
cd eclipse
start .\eclipse.exe -data demo

REM ---------------------
REM Manual steps afte Eclipse starts
REM ---------------------
echo "After Eclipse starts up do the following steps:"
echo " 1. Import SampleProfileProject, it contains the two Log and Statistical TPTP resources,"
echo "their contents is already in the database. The access log can be viewed also in the TPTP Log Viewer, open Profiling and Loging perspective."
echo "";
echo " 2. Import EclipseCon2007Demo-TeamProjectSet.psf, using Import -> Team Project Set wizard."
echo "";
echo " 3. Copy all the folders from C:\COSMOS-Demo-EclipseCon2007\demo-workspace-update-20070208 into C:\COSMOS-Demo-EclipseCon2007\eclipse\demo (override all target files)."
echo "";
echo " 4. Open /org.eclipse.cosmos.examples.eclipsecon07.reports.templates/templates/cosmos-nodes.rptdesign BIRT report and click on Preview to run the demo report in preview mode (the Topology info is retrieved using the TPTP DMS API from the Topologies_sml-if.xml file"
echo "";
echo " 5. Open /org.eclipse.cosmos.examples.eclipsecon07.reports.templates/templates/LogReport.rptdesign BIRT report and click on Preview to see the log data retrieved from the Derby database using the TPTP DMS API."
